import { Factory, Seeder } from 'typeorm-seeding';
import { Connection } from 'typeorm';
import { Roles } from '../configurable/entities/roles.entity';

export default class CreateUsers implements Seeder {
  public async run(factory: Factory, connection: Connection): Promise<any> {
    await connection
      .createQueryBuilder()
      .insert()
      .into('roles')
      .values([
        {
          id: '3196cdf4-ae5f-4677-9bcd-98be35c72329',
          created_at: new Date(),
          updated_at: new Date(),
          deleted_at: null,
          version: 1,
          name: 'Admin',
        },
        {
          id: '3196cdf4-ae5f-4677-9bcd-98be35c72328',
          created_at: new Date(),
          updated_at: new Date(),
          deleted_at: null,
          version: 1,
          name: 'Supervisor',
        },
      ])
      .execute();
  }
}
